Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

## Class CreditorReferenceInformationSDD

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_002_01.CreditorReferenceInformationSDD

    public class CreditorReferenceInformationSDD
    extends java.lang.Object

Java class for CreditorReferenceInformationSDD complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditorReferenceInformationSDD">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CdtrRefTp" type="{urn:swift:xsd:$pain.008.002.01}CreditorReferenceTypeSDD"/>
             <element name="CdtrRef" type="{urn:swift:xsd:$pain.008.002.01}Max35Text"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `cdtrRef`
`protected CreditorReferenceTypeSDD` `cdtrRefTp`

### Constructor Summary

Constructors
`CreditorReferenceInformationSDD()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCdtrRef()` Gets the value of the cdtrRef property.
`CreditorReferenceTypeSDD` `getCdtrRefTp()` Gets the value of the cdtrRefTp property.
`void` `setCdtrRef​(java.lang.String value)` Sets the value of the cdtrRef property.
`void` `setCdtrRefTp​(CreditorReferenceTypeSDD value)` Sets the value of the cdtrRefTp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cdtrRefTp

    protected CreditorReferenceTypeSDD cdtrRefTp

#### cdtrRef

    protected java.lang.String cdtrRef

### Constructor Detail

#### CreditorReferenceInformationSDD

    public CreditorReferenceInformationSDD()

### Method Detail

#### getCdtrRefTp

    public CreditorReferenceTypeSDD getCdtrRefTp()

Gets the value of the cdtrRefTp property.

Returns:
  possible object is `CreditorReferenceTypeSDD`

#### setCdtrRefTp

    public void setCdtrRefTp​(CreditorReferenceTypeSDD value)

Sets the value of the cdtrRefTp property.

Parameters:
  `value` - allowed object is `CreditorReferenceTypeSDD`

#### getCdtrRef

    public java.lang.String getCdtrRef()

Gets the value of the cdtrRef property.

Returns:
  possible object is `String`

#### setCdtrRef

    public void setCdtrRef​(java.lang.String value)

Sets the value of the cdtrRef property.

Parameters:
  `value` - allowed object is `String`